USE COWS
GO
SET NOCOUNT ON;
GO
DELETE FROM LK_TASK_RULE	WITH (TABLOCKX)
GO
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(1,101,3,'dbo.completeGOMErrorTask',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(2,102,2,'dbo.updateSMID',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(3,210,2,'dbo.updateSMID',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(4,500,0,'dbo.loadRTSEmailNotification',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(5,1000,0,'dbo.checkMDSEventStatus',1,1,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(6,1001,0,'dbo.completeOrderActivity',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(7,100,0,'dbo.WfmGOMTaskRule',1,1,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(8,101,0,'dbo.WfmGOMTaskRule',1,1,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(9,200,0,'dbo.WfmNCITaskRule',1,1,1)
INSERT INTO LK_TASK_RULE (TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	 VALUES(10,213,0,'dbo.WFMComplete', 1,2,1)		 	 
INSERT INTO LK_TASK_RULE (TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	 VALUES(11,1000,0,'dbo.CompleteBillActivationTask', 1,2,1)		 
INSERT INTO LK_TASK_RULE (TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	 VALUES(12,207,2,'dbo.updateBARTask', 1,1,1)		 
INSERT INTO LK_TASK_RULE (TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	 VALUES(13,103,0,'dbo.bypassNRMPLForSPAEOrders', 1,1,1)		 
INSERT INTO LK_TASK_RULE (TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	 VALUES(14,104,0,'dbo.bypassNRMPLForSPAEOrders', 1,1,1)		 
INSERT INTO LK_TASK_RULE (TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	 VALUES(15,1001,0,'dbo.WFMComplete', 1,2,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(16,210,0,'dbo.WfmNCITaskRule',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(17,212,0,'dbo.WfmNCITaskRule',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(18,216,0,'dbo.WfmNCITaskRule',1,1,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(19,103,2,'dbo.insertGomPLCompleteEmail',1,1,1)	
--INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
--	VALUES	(20,103,0,'tmp.autocompleteGOMPLTask',1,2,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(21,210,0,'dbo.holdxNCIReadyForIntlCPE',1,2,1)		 	 	  	 	 
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(22,200,0,'dbo.bypassXNCIGroup',1,2,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(23,201,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(24,202,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(25,203,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(26,204,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(27,205,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(28,206,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(29,212,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(30,213,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(31,214,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(32,215,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(33,216,0,'dbo.bypassXNCIGroup',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(34,213,2,'dbo.WFMComplete',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(35,103,0,'dbo.holdGOMPLTask',1,2,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(36,202,2,'dbo.unHoldGOMPLTask',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(37,214,2,'dbo.unHoldGOMPLTask',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(38,112,0,'dbo.bypassGOMASRTask',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(39,112,2,'dbo.insertGOMIPLIPASREmailRequest',1,1,1)
-- INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	-- VALUES	(42,600,0,'dbo.CpeWrkFlwTaskRule',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(43,601,0,'dbo.CpeWrkFlwTaskRule',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(44,602,0,'dbo.CpeWrkFlwTaskRule',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(45,400,0,'dbo.bypassMach5CPECSCQueue',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(46,108,0,'dbo.bypassMach5INTLCPECancelsFromGOMGrp',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	 VALUES(47,207,2,'dbo.sendBillClearMsgToMach5', 1,2,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(48,604,0,'dbo.CpeWrkFlwTaskRule',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(49,205,0,'dbo.AccReqCmplt',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(50,206,0,'dbo.AccReqCmplt',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(51,110,0,'dbo.BillOnlyTaskRule',1,1,1)
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(52,102,0,'dbo.WfmGOMTaskRule',1,1,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(53,600,0,'dbo.WfmGOMTaskRule',1,1,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(54,1000,0,'dbo.CompleteCPESrvcOnly',1,1,1)	
INSERT INTO LK_TASK_RULE(TASK_RULE_ID,TASK_ID,TASK_OPT_ID,SP_NME,DMSTC_CD,PRTY_ID,MODFD_USER_ID) 
	VALUES	(55,223,0,'xNCIDiscEmailTaskRule',1,1,1)	


GO

